Subject: Re: bug#1078: 23.0.60; font faces setting ignored by emacsclient run against --daemon

From: Michael Kifer <[email-masked]>
Date: Sat, 25 Oct 2008 01:09:53 -0400

This is not a viper problem. Seems like something with advice when it is loaded
before custom-set-faces. Try this as the .emacs file - the same problem.

(require 'advice)

(custom-set-faces
 '(default ((t (:inherit nil :stipple nil :background "white" :foreground "black" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 90 :width normal :foundry "monospace" :family "monospace")))))

There is no problem what advice is loaded after.

On Wed, 15 Oct 2008 00:11:39 +0200
Stefano Zacchiroli <[email-masked]> wrote:

> On Mon, Oct 13, 2008 at 11:22:57PM -0700, Dan Nicolaescu wrote:
> > Stefano Zacchiroli <[email-masked]> writes:
> >   > > But only this time I took a quick look, and you have:
> >   > > (setq viper-mode t)            ;; I'm an Emacs rebel!
> >   > > (require 'viper)
> >   > ... bingo! Viper is the culprit, removing it font faces are set
> >   > properly. Still, it is part of the standard Emacs distribution, so I
> >   > guess the bug is still relevant, isn't it? I've retitled the bug
> >   > report, let me know if you want me to forward it to the Viper
> >   > maintainer.
> > That would be probably helpful.
> 
> Hi Michael,
> 
> a while ago I've reported a bug against Emacs not respecting font-face
> settings when --daemon was in use (a feature provided by current Emacs
> snapshot). It has been discovered that the bug is triggered by Viper,
> when it is not configured to be loaded the bug vanishes.
> 
> The full bug story is available at
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1078.
> 
> Can you maybe have a look?
> 
> Many thanks in advance,
> Cheers.
>